import UrlUtils from "../../utils/url"
import Http from "../../utils/http"
import Settings from "../../settings"
import History from '../../utils/history'

export default class {
  execute(properties, target) {
    if (Settings.reactive) {
      const currentUrl = window.location.href
      const jsonUrl = UrlUtils.jsonUrl(currentUrl)
      const data = {
        url: properties.url || jsonUrl
      }

      Http.execute(data, "GET", this, (data, response) => {
        window.vueApp.page = data
        const redirectUrl = UrlUtils.htmlUrl(response.url)
        History.updatePage(redirectUrl)
      })
    }
    else {
      window.location.reload()
    }
  }
}
